@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
  --bouncy: cubic-bezier(0,2,.75,1);
}

body {
  margin: 0;
  background-color: rgb(20, 20, 20);
  color: white;
  font-family: "Poppins", sans-serif;
}

a {
  text-decoration: none;
  color: white;
}
a:hover {text-decoration: underline;}

input {
  border: none;
  background-color: rgb(25, 25, 25);
  box-shadow: -2px -2px inset rgb(50, 50, 50), 2px 2px inset rgb(30, 30, 30);
  color: white;
  font-family: "Poppins", sans-serif;
}
input:focus {outline: none;}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}

button {
  border: none;
  color: white;
  font-family: "Poppins", sans-serif;
  background-color: rgb(40, 40, 40);
  box-shadow: 2px 2px inset rgb(50, 50, 50), -2px -2px inset rgb(30, 30, 30);
  cursor: pointer;
}

#canvasContainer {
  width: 100dvw;
  height: 100dvh;
  display: flex;
  justify-content: center;
  align-items: center;
}

canvas {
  box-shadow: 0px 0px 5px black;
}

#ui {
  position: fixed;
  bottom: 10px;
  right: 10px;
  width: 500px;
  background-color: rgb(40, 40, 40);
  box-shadow: 2px 2px inset rgb(50, 50, 50), -2px -2px inset rgb(30, 30, 30);
  padding: 5px;
}

#uiTitle {
  background-color: rgb(40, 40, 40);
  box-shadow: 2px 2px inset rgb(50, 50, 50), -2px -2px inset rgb(30, 30, 30);
  padding: 5px;
  line-height: 1.1;
}

#uiSubTitle {
  font-size: 0.75em;
  display: flex;
  justify-content: space-between;
}

.innerSetting {
  display: flex;
  align-items: center;
  gap: 5px;
}

.settingLabel {
  display: flex;
  align-items: center;
  gap: 5px;
  white-space: nowrap;
}

.coolLine {
  height: 1px;
  width: 100%;
  background-color: rgb(100, 100, 100);
}

.setting span:nth-child(1) {
  font-size: 0.75em;
}

.innerSetting input {
  width: 100%;
}

.colorButton {
  margin-bottom: 10px;
  width: 100%;
}

.colorButton[active="true"] {
  background-color: rgb(25, 25, 25);
  box-shadow: -2px -2px inset rgb(50, 50, 50), 2px 2px inset rgb(30, 30, 30);
}

#pixelsGenerated {
  font-size: 0.75em;
}

#possibility {
  font-size: 0.9em;
  display: flex;
  white-space: nowrap;
}

.info {
  font-size: 0.75em;
  color: grey;
  line-height: 1.1;
}

power {
  font-size: 0.75em;
}